Package: groovy.org.codenarc.rule.design

## [Groovy] Class PrivateFieldCouldBeFinalAstVisitor

- groovy.org.codenarc.rule.design.PrivateFieldCouldBeFinalAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitBinaryExpression(org.codehaus.groovy.ast.expr.BinaryExpression expression)`
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)`
    `` | `void` | `visitConstructor(org.codehaus.groovy.ast.ConstructorNode node)`
    `` | `void` | `visitPostfixExpression(org.codehaus.groovy.ast.expr.PostfixExpression expression)`
    `` | `void` | `visitPrefixExpression(org.codehaus.groovy.ast.expr.PrefixExpression expression)`

- - ### Method Detail

    - #### @Override void visitBinaryExpression(org.codehaus.groovy.ast.expr.BinaryExpression expression)

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)

    - #### @Override void visitConstructor(org.codehaus.groovy.ast.ConstructorNode node)

    - #### @Override void visitPostfixExpression(org.codehaus.groovy.ast.expr.PostfixExpression expression)

    - #### @Override void visitPrefixExpression(org.codehaus.groovy.ast.expr.PrefixExpression expression)